graphics/p5-PerlMagick - The NetBSD Packages Collection

Object-oriented Perl interface to ImageMagick

PerlMagick is an objected-oriented Perl interface to ImageMagick.  Use
the module to read, manipulate, or write an image or image sequence from
within a Perl script. This makes it suitable for Web CGI scripts.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/glib2-tools devel/libtool-base

Runtime dependencies

graphics/ImageMagick graphics/ImageMagick fonts/fontconfig fonts/fontconfig lang/perl5 lang/perl5 graphics/ImageMagick fonts/fontconfig

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-PerlMagick-7.0.10.46.tgz
NetBSD 8.0earmv7hfp5-PerlMagick-7.0.10.30.tgz
NetBSD 8.0earmv7hfp5-PerlMagick-7.0.11.0.tgz
NetBSD 8.0i386p5-PerlMagick-7.0.10.41.tgz
NetBSD 8.0i386p5-PerlMagick-7.0.10.46.tgz
NetBSD 8.0i386p5-PerlMagick-7.0.11.0.tgz
NetBSD 8.0powerpcp5-PerlMagick-7.0.10.30.tgz
NetBSD 8.0powerpcp5-PerlMagick-7.0.10.46.tgz
NetBSD 8.0powerpcp5-PerlMagick-7.0.10.46.tgz
NetBSD 8.0x86_64p5-PerlMagick-7.0.10.41.tgz
NetBSD 8.0x86_64p5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0aarch64p5-PerlMagick-7.0.11.0.tgz
NetBSD 9.0aarch64p5-PerlMagick-7.0.10.37.tgz
NetBSD 9.0aarch64p5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0alphap5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0alphap5-PerlMagick-7.0.11.0.tgz
NetBSD 9.0alphap5-PerlMagick-7.0.10.37.tgz
NetBSD 9.0alphap5-PerlMagick-7.0.10.41.tgz
NetBSD 9.0alphap5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0earmv6hfp5-PerlMagick-7.0.11.0.tgz
NetBSD 9.0earmv6hfp5-PerlMagick-7.0.10.30.tgz
NetBSD 9.0earmv6hfp5-PerlMagick-7.0.10.37.tgz
NetBSD 9.0earmv6hfp5-PerlMagick-7.0.10.41.tgz
NetBSD 9.0earmv6hfp5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0earmv6hfp5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0earmv7hfp5-PerlMagick-7.0.11.0.tgz
NetBSD 9.0earmv7hfp5-PerlMagick-7.0.10.30.tgz
NetBSD 9.0earmv7hfp5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0earmv7hfp5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0i386p5-PerlMagick-7.0.10.41.tgz
NetBSD 9.0i386p5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0i386p5-PerlMagick-7.0.11.0.tgz
NetBSD 9.0powerpcp5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0powerpcp5-PerlMagick-7.0.10.30.tgz
NetBSD 9.0sparc64p5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0sparc64p5-PerlMagick-7.0.11.0.tgz
NetBSD 9.0sparc64p5-PerlMagick-7.0.10.19.tgz
NetBSD 9.0sparc64p5-PerlMagick-7.0.10.30.tgz
NetBSD 9.0sparc64p5-PerlMagick-7.0.10.37.tgz
NetBSD 9.0sparc64p5-PerlMagick-7.0.10.41.tgz
NetBSD 9.0sparc64p5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0sparcp5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0sparcp5-PerlMagick-7.0.11.0.tgz
NetBSD 9.0sparcp5-PerlMagick-7.0.10.30.tgz
NetBSD 9.0sparcp5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0x86_64p5-PerlMagick-7.0.10.41.tgz
NetBSD 9.0x86_64p5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0x86_64p5-PerlMagick-7.0.10.61.tgz
NetBSD 9.0x86_64p5-PerlMagick-7.0.10.46.tgz
NetBSD 9.0x86_64p5-PerlMagick-7.0.10.41.tgz
NetBSD 9.0x86_64p5-PerlMagick-7.0.11.0.tgz
NetBSD 9.0x86_64p5-PerlMagick-7.0.11.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.